/*
 * Styles for Grafletics.com landing page
 * Created by Heptagon Creative
 * heptagoncreative.com
 *
 */

.clear {
    clear: both;
}

body {
    font-family: 'AvantGardeBook', Arial, sans-serif;
    background: #000;
    color: #fff;
}

    #container-main {
	width: 420px;
	margin: 0 auto;
	position: relative;
	margin-top: 300px;
	max-width: 90%;
    }

/* GA Red */
#ga-red {
    background: transparent url('images/GALockup1.png') no-repeat top right;
    position: absolute;
    height: 240px; /*lines up tail of A with baseline of Grafletics logo*/
    width: inherit;
    top: -180px;
    right: 0;
   /* transition: 1s;*/
    z-index: -10;
}

    #ga-red.open {
	height: 519px;
    }

p,
li,
label {
    font-size: 12px;
    text-align: right;
    font-size: normal;
}

h1.wordmark {
    background: transparent url('images/GrafWordmark1.png') no-repeat;
    text-indent: -9999px;
    height: 60px;
    width: 375px;
    margin: 0;
}


/* Mailchimp */
#mc_embed_signup,
p.intro {
    background: transparent!important;
    overflow: hidden;
    width: 280px;
    float: right;
    margin-right: 45px;
}

    #mc_embed_signup h2 {
	display: none;
    }
    
    #mc_embed_signup .mc-field-group {
	width: 100% !important;
	padding: 0 !important;
	clear: both !important;
	min-height: 0!important;
	
    }
    
    /* Field Overrides */
    #mc_embed_signup form {
	padding: 0 !important;
    }
    
    #mc_embed_signup .mc-field-group label {
	/*display: none!important; /* remove email field label, will need to re-override for checkbox */
	display: inline-block !important;
    }
    
    #mc_embed_signup .mc-field-group.email label {
	display: none !important;
    }
    #mc_embed_signup .indicates-required {
	display: none;
    }
    
	#mc_embed_signup .asterisk {
	    display: none;
	}
    
	/* Shape */
	#mc_embed_signup .mc-field-group input[type="email"] {
	    padding: 8px 10px;
	    -webkit-border-radius: 15px 0px 0px 15px;
	    border-radius: 15px 0px 0px 15px;
	    border: none;
	    width: 240px;
	    font-family: 'AvantGardeBook', Arial, sans-serif;
	    font-size: 14px;
	    text-align: right;
	}
    
    /* Errors */
    #mc_embed_signup div.mce_inline_error {
	clear: both;
    }
    
    /* Checkbox */
    .mc-field-group {
	font-size: 12px;
	text-align: right;
	margin-bottom: 15px;
	overflow: hidden;
    }
    
	#mc_embed_signup .mc-field-group.email {
	    margin-bottom: 0;
	}
    
	.mc-field-group strong {
	    font-weight: normal;
	}
	
	.mc-field-group ul {
	    list-style: none;
	    margin: 0;
	    padding: 0 !important;
	}
	/* Checkbox design hack */
	input[type="checkbox"] {
	    display:none!important;
	}
	
	    input[type="checkbox"] + label {
		display:inline-block;
		width:40px;
		height:29px;
		background:#fff;
		cursor: pointer;
		text-indent: 9999px;
		-webkit-border-radius: 15px 0px 0px 15px;
		border-radius: 15px 0px 0px 15px;
	    }
	    
	    input[type="checkbox"]:checked + label,
	    label.checked{
		background: #fff url('images/GrafCheck20.png') no-repeat 60% center;
	    }
	
	
#mc_embed_signup .button {
    background: transparent url('images/button-letsgo.png') no-repeat 0 0 !important;
    text-indent: -9999px;
    width: 108px !important;
    height: 34px !important;
    float: right;
    border: none;
    cursor: pointer;
    margin: 1px; /* Allow space for focus box */
}

    #mc_embed_signup .button:hover {
	background-position: 0 -34px !important;
    }
    
    /* Response */
    #mc_embed_signup div#mce-responses {
	padding: 0 !important;
	width: 100% !important;
	margin: 0 !important;
    }
    #mc_embed_signup div.response {
	float: right!important;
	padding: 0!important;
	margin: 0 0 20px 0!important;
    }
    
    #mce-responses .response {
	color: #fff !important;
	font-weight: normal !important;
	font-size: 12px;
	text-align: right;
    }
    
    /* Error */
    #mc_embed_signup div.mce_inline_error {
	background: none!important;
	color: red!important;
	font-weight: normal!important;
	padding: 5px 0 !important;
    }

/* Social */
#social {
    overflow: hidden;
}

#social ul {
    list-style: none;
    margin: 30px 45px 0 0;
    overflow: hidden;
    float: right;
}
    
    #social ul li {
	float: left;
	margin: 0 5px;
    }
    
    #social ul li a {
	background: transparent url('images/SocialSprite.png') no-repeat 0 0;
	height: 19px;
	display: block;
	text-indent: 9999px;
    }
    
	#social .facebook a {
	    width: 19px;
	}
	
	    #social .facebook a:hover {
		background-position: 0 -19px;
	    }
	
	#social .twitter a {
	    width: 25px;
	    background-position: -30px 0;
	}
	
	    #social .twitter a:hover {
		background-position: -30px -19px;
	    }
	
	#social .instagram a {
	    width: 37px;
	    background-position: -65px 0;
	}
	
	    #social .instagram a:hover {
		background-position: -65px -19px;
	    }

/* Footer */
#colophon {
    margin: 100px auto 30px;
}
#colophon p {
    text-transform: uppercase;
    text-align: center;
}


/* RESPONSIVE STYLES */
#mc_embed_signup .mc-field-group input[type="email"],
#mc_embed_signup, p.intro {
    max-width: 80%;
    float: right;
}

h1.wordmark {
    background-size: 100%;
    width: 90%;
    margin-right: 45px;
    float: right;
}

@media screen and (max-width: 480px) {
    #container-main {
	margin-top: 200px;
    }
    
    #ga-red {
	background-image: url('images/GALockup2.png');
	width: 200px;
	background-size: 100%;
	top: -150px;
	height: 250px; /* starting height with longer image */
    }
}

/* RETINA IMAGES */
@media 
(-webkit-min-device-pixel-ratio: 2), 
(min-resolution: 192dpi) { 
    /* Submit button */
    #mc_embed_signup .button {
	background-image: url('images/button-letsgo-2x.png');
	background-size: 108px 68px;
    }
    
    /* Social Icons */
    #social ul li a {
	background: transparent url('images/SocialSprite-2x.png') no-repeat 0 0;
	background-size: 102px 38px;
    }

}


/* NEW STUFF */
#shop-link h2 {
    font-size: 1.2em;
    text-align: right;
    margin-right: 45px;
}

#shop-link h2 a {
    color: #fff;
    text-transform: uppercase;
    /*padding-bottom: 1px;*/
    border-bottom: 1px solid #fff;
    text-decoration: none;
}

    #shop-link h2 a:hover,
    #shop-link h2 a:focus {
	border-bottom: 1px solid #D9272E;
    }
    
#colophon {
    margin: 90px auto 30px;
}
    
    #social .round {
	margin: 0 auto 10px;
	float: none;
	width: 148px;
	padding: 0;
    }
    
	#social .round a {
	    background: transparent url('images/GrafSocialRound.png') 0 0 no-repeat;
	    width: 27px;
	    height: 27px;
	    display: block;
	}
	
	    .round .instagram a {
		background-position: 0 0;
	    }
	    
		#social .round .instagram a:hover {
		    background-position: 0 -27px;
		}
		
	    #social .round .facebook a {
		background-position: -33px 0;
	    }
	    
		#social .round .facebook a:hover {
		    background-position: -33px -27px;
		}
		
	    #social .round .twitter a {
		background-position: -65px 0;
	    }
	    
		#social .round .twitter a:hover {
		    background-position: -65px -27px;
		}
		
	    #social .round .tumblr a {
		background-position: -98px 0;
	    }
	    
		#social .round .tumblr a:hover {
		    background-position: -98px -27px;
		}
    
    /* RETINA IMAGES */
    @media 
    (-webkit-min-device-pixel-ratio: 2), 
    (min-resolution: 192dpi) { 
	/* Submit button */

	/* Social Icons */
	#social .round a {
	    background: transparent url('images/GrafSocialRound-2x.png') no-repeat 0 0;
	    background-size: 125px 54px;
	}
    
    }